gr = shape_read('4301930122GR1.shp');

gr1 = struct('x' ,'', 'y','');
x = gr.x; %API units
y = gr.y; %ft
y = y * 0.3048; %ft to m.
for idx = 1: gr.nvertices(1),
gr1(idx).y = y(idx);
gr1(idx).x = x(idx);
end

gr2 = struct('x' ,'', 'y','');

for idx = (gr.nvertices(1) + 1) : length([gr.x]),
gr2(idx-gr.nvertices(1)).x = x(idx);
gr2(idx-gr.nvertices(1)).y = y(idx);
end
